
Showroom Mobile Banking - Bug #14650

MB - privacy screen but able to screenshot

02 November 2022 05:22 PM - chok yee fan

Status: Closed Start date: 02 November 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 5.00 hours

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Issue

-----

Android if set the flag to SECURE, the device is unable to screen.

Expected

-----

Need to find a way to enable screenshot, but when the app foreground the screen is black/hide.

History

#1 - 03 November 2022 10:57 AM - chok yee fan

currently we are using this plugin

https://www.npmjs.com/package/cordova-plugin-privacyscreen

#2 - 03 November 2022 10:59 AM - chok yee fan

- Assignee changed from chok yee fan to Dika Wardani

#3 - 25 November 2022 10:48 AM - chok yee fan

have to add in the options/variable at the plugin easily for developer to switch between

none

flagSecure

fragment

#4 - 15 December 2022 09:48 AM - chok yee fan

- Status changed from New to Resolved

- Assignee changed from Dika Wardani to Hoo Dextor

Revision #220050 Committed by dika 23/11/2022, 2:56 pm dika: modified plugin privacy screen to block content when android app is not active and

remove block content when android app is active

/Users/sladmin/Documents/showroom-nx-trunk-webstorm

apps/showroom-mb/local_plugins/cordova-plugin-privacyscreen

0.5.0/cordova-plugin-privacyscreen

src/android

block_content.xml

ContentBlocker.kt

hardware

PrivacyScreenPlugin.kt

util

plugin.xml

readme.md

package.json

Revision #220084 Committed by dika 25/11/2022, 5:22 pm dika: add variable at the privacy screen plugin to support switch between NONE,
https://www.npmjs.com/package/cordova-plugin-privacyscreen


SCREEN_WITH_LOGO, SECURE_FLAG_TOGGLE,SECURE_FLAG_ALL_THE_TIME

/Users/sladmin/Documents/showroom-nx-trunk-webstorm/apps/showroom-mb/local_plugins/cordova-plugin-privacyscreen

0.5.0/cordova-plugin-privacyscreen

src/android

Blocker.kt

BlockerType.kt

ContentBlocker.kt

PrivacyScreenPlugin.kt

ScreenLogoBlocker.kt

SecureFlagBlocker.kt

plugin.xml

README.md

readme.md

Revision #220395 Committed by dika Yesterday 1:11 pm dika: remove hardcode import R

/Users/sladmin/Documents/showroom-nx-trunk-webstorm/apps/showroom-mb/local_plugins/cordova-plugin-privacyscreen/0.5.0/cordova-plugin-privac

yscreen/src/android

PrivacyScreenPlugin.kt

ScreenLogoBlocker.kt

#5 - 11 September 2023 10:17 AM - Hoo Dextor

- Status changed from Resolved to Closed
